Bug 1310302 - [abrt] menulibre: MenulibreApplication.py:1421:add_launcher:TypeError: 'NoneType' object is not subscriptable
[abrt] menulibre: MenulibreApplication.py:1421:add_launcher:TypeError: 'NoneT...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: menulibre (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: My Karlsson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9f5401182825876d0a14b84626b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 02:07 EST by Pavel Roskin
Modified: 2016-11-24 14:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 14:41:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2016-02-20 02:07 EST, Pavel Roskin
no flags Details
File: environ (2.90 KB, text/plain)
2016-02-20 02:07 EST, Pavel Roskin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1556664 None None None 2016-03-17 16:26 EDT

  None (edit)
Description Pavel Roskin 2016-02-20 02:07:39 EST
Description of problem:
1. Start menulibre
2. Unselect all entries by Ctrl-left click on the active entry
3. Click on "+" and select "Add launcher"

Version-Release number of selected component:
menulibre-2.1.2-1.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 /usr/bin/menulibre
executable:     /usr/bin/menulibre
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
MenulibreApplication.py:1421:add_launcher:TypeError: 'NoneType' object is not subscriptable

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/menulibre/MenulibreApplication.py", line 1632, in on_add_launcher_cb
    self.add_launcher()
  File "/usr/lib/python3.4/site-packages/menulibre/MenulibreApplication.py", line 1421, in add_launcher
    if row_data[2] == MenuItemTypes.DIRECTORY:
TypeError: 'NoneType' object is not subscriptable

Local variables in innermost frame:
icon_name: 'application-default-icon'
model: <TreeStore object at 0x7f09344defc0 (GtkTreeStore at 0x555612cbe2a0)>
icon: <ThemedIcon object at 0x7f09344e9048 (GThemedIcon at 0x555612bbe400)>
parent_data: None
comment: ''
row_data: None
new_row_data: ['New Launcher', '', 0, <ThemedIcon object at 0x7f09344e9048 (GThemedIcon at 0x555612bbe400)>, 'application-default-icon', None]
self: <MenulibreWindow object at 0x7f09359b5dc8 (menulibre+MenulibreApplication+MenulibreWindow at 0x555612afcd00)>
item_type: 0
name: 'New Launcher'
filename: None
Comment 1 Pavel Roskin 2016-02-20 02:07:43 EST
Created attachment 1128732 [details]
File: backtrace
Comment 2 Pavel Roskin 2016-02-20 02:07:44 EST
Created attachment 1128733 [details]
File: environ
Comment 3 My Karlsson 2016-03-17 16:26:28 EDT
Hi Pavel. Thank you for the report. I am able to reproduce the problem and have submitted an update as version 2.1.2-4 to updates-testing. Please feel free to test it before it is pushed to the stable channel.
Comment 4 Pavel Roskin 2016-03-19 15:45:08 EDT
The new version fixes the crash. Unfortunately, two other issues are still present. I can select "Add launcher" without the selection, it's not disabled, but nothing happens. And the biggie - I don't see any way to create top-level launchers. Anyway, this bug is fixed, thank you!
Comment 5 Fedora End Of Life 2016-11-24 10:39:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.